package com.hai.service;

import com.hai.entity.HighOrder;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/3/26 23:04
 */
public interface HighOrderService {

    /**
     * @Author 胡锐
     * @Description 增加订单
     * @Date 2021/3/26 23:05
     **/
    void insertOrder(HighOrder highOrder) throws Exception;

    /**
     * @Author 胡锐
     * @Description 金币支付订单
     * @Date 2021/3/27 11:20
     **/
    void goldPayOrder(Long userId, Long orderId);

    /**
     * @Author 胡锐
     * @Description 修改订单
     * @Date 2021/3/26 23:06
     **/
    void updateOrder(HighOrder highOrder);

    /**
     * @Author 胡锐
     * @Description 获取未完成的子订单数量
     * @Date 2021/3/27 13:35
     **/
    Integer getUndoneChildOrder(Long orderId);

    /**
     * @Author 胡锐
     * @Description 根据id查询
     * @Date 2021/3/26 23:06
     **/
    HighOrder getOrderById(Long id);

    /**
     * @Author 胡锐
     * @Description 根据订单号查询
     * @Date 2021/3/27 0:38
     **/
    HighOrder getOrderByOrderNo(String orderNo);

    /**
     * @Author 胡锐
     * @Description 查询订单列表
     * @Date 2021/3/26 23:06
     **/
    List<HighOrder> getOrderList(Map<String,Object> map);

    /**
     * @Author 胡锐
     * @Description 查询需要关闭的订单列表
     * @Date 2021/3/27 15:43
     **/
    List<HighOrder> getCloseOrder();

    /**
     * @Author 胡锐
     * @Description 子订单完成
     * @Date 2021/3/27 13:28
     **/
    void childOrderComplete(Long childOrderId);

    /**
     * @Author 胡锐
     * @Description 取消订单
     * @Date 2021/3/27 15:50
     **/
    void cancelOrder(Long orderId);

}
